Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.configuration
Interface ConverterConfiguration<C extends Converter>

All Known Implementing Classes:
  ChainedConverterConfiguration, DefaultConverterConfiguration, ImmutableConverterConfiguration

    public interface ConverterConfiguration<C extends Converter>

Since:
  1.1
Author:
  Siegfried Puchbauer, Graeme Rocher

Method Summary
`Converter.CircularReferenceBehaviour` | `getCircularReferenceBehaviour()` Lookup the configured CircularReferenceBehaviour (how the converter should behave when a circular reference is detected)
`String` | `getEncoding()` Lookup the configured default Character encoding for the Converter
`ObjectMarshaller<C>` | `getMarshaller(Object o)` Lookup the ObjectMarshaller with the highest priority that support to marshall the given object
`List<ObjectMarshaller<C>>` | `getOrderedObjectMarshallers()` Retrieve the ordered list of ObjectMarshallers
`ProxyHandler` | `getProxyHandler()` Lookup the ProxyHandler used to deal with proxies instances.
`boolean` | `isPrettyPrint()` Lookup method whether the converter should default to pretty printed output

Method Detail

### getProxyHandler

    ProxyHandler getProxyHandler()

  Lookup the ProxyHandler used to deal with proxies instances.

  Returns:
    The proxy handler

### getMarshaller

    ObjectMarshaller<C> getMarshaller(Object o)

  Lookup the ObjectMarshaller with the highest priority that support to marshall the given object

  Parameters:
    `o` - the object which is about to be converted
  Returns:
    the ObjectMarshaller instance

### getEncoding

    String getEncoding()

  Lookup the configured default Character encoding for the Converter

  Returns:
    the Charset name

### getCircularReferenceBehaviour

    Converter.CircularReferenceBehaviour getCircularReferenceBehaviour()

  Lookup the configured CircularReferenceBehaviour (how the converter should behave when a circular reference is detected)

  Returns:
    an instance of CircularReferenceBehaviour
  See Also:
    `Converter.CircularReferenceBehaviour`

### isPrettyPrint

    boolean isPrettyPrint()

  Lookup method whether the converter should default to pretty printed output

  Returns:
    a boolean

### getOrderedObjectMarshallers

    List<ObjectMarshaller<C>> getOrderedObjectMarshallers()

  Retrieve the ordered list of ObjectMarshallers

  Returns:
    the List of ObjectMarshallers ordered by priority

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD